"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LensDesktopKubeService = void 0;
const Base_1 = require("./Base");
const exceptions_1 = require("./exceptions");
/**
 *
 * The class for consuming all `LensDesktopKube` resources.
 *
 */
class LensDesktopKubeService extends Base_1.Base {
    async getK0sVersions() {
        const { apiEndpointAddress, fetch } = this.lensPlatformClient;
        const url = `${apiEndpointAddress}/lens-desktop-kube/k0s-versions.json`;
        const json = await (0, exceptions_1.throwExpected)(async () => fetch.get(url), {
            unauthenticated: true,
        });
        return json;
    }
}
exports.LensDesktopKubeService = LensDesktopKubeService;
